﻿.grey {
	background-color: rgba(112,128,144,0.2);
}

.red {
	background-color: rgba(245,19,5,0.4);
}

.orange {
	background-color: rgba(245,106,5,0.4);
}

.yellow {
	background-color: rgba(240,245,5,0.4);
}

.green {
	background-color: rgba(5,245,58,0.4);
}

.blue {
	background-color: rgba(5,144,245,0.4);
}

.indigo {
	background-color: rgba(96,5,245,0.4);
}

.violet {
	background-color: rgba(183,5,245,0.4);
}

.legend-item {
	width: 1.5em;
	margin-right: 5px;
}

.legend {
	display: flex;
	margin: 5px;
}


.player {
	display: flex;
	height: 1em;
}

.player-frame {
	margin: 0 auto;
	text-align: center;
	font-weight: 800;
	font-size: 1.15em;
	padding: 0px;
	padding-bottom: 7px;
	padding-left: 25px;
	padding-right: 25px;
	max-width: 500px;
	background-color: transparent;
}

.player-display {
	text-align: center;
	width: 100%;
	border: none;
	background-color: lightcyan;
	font-weight: 600;
	border-radius: 5px;
	font-size: 0.75em;
	margin: 0 7px 0 7px;
}

.player-button-left {
	margin-left: 3px;
}

.player-button-right {
	margin-right: 3px;
}

.red-line {
	min-width: 100%;
	min-height: 200px;
	background-color: rgba(255,0,0,0.15);
	position: absolute;
	top: 0px;
	left: 0px;
}

.heute {
	color: red;
	background-color: rgba(255,0,0,0.15);
	position: relative;
}

.heute-dark {
	color: red;
	background-color: rgba(255,0,0,0.27);
	position: relative;
}

.mypointer {
	background-color: rgba(0,0,0,0.25);
	min-width: 1px;
	height: 100%;
	position: absolute;
	z-index: 1;
}

.scroll-cell {
	/*border-right: 2px solid white;*/	
}


.scroll-pill-box {
	display: inline-flex;
	position: absolute;
	transform: translateY(-0.7em);	
}

@-moz-document url-prefix() {
	.zero-out {
		display: none;
	}

	.ff-max-height {
		height:100%;
	}
}

.scroll-pill {
	color: dodgerblue;
	font-size: medium;
	font-weight: 900;
	white-space: nowrap;
	/*padding: 10px;*/
}

.color-one {
	color: black;
}

.color-two {
	color: darkblue;
}

.color-three {
	color: black;
}


/*datetime events*/
.date-event-body {
	width: 100%;
	height: 100%;
	display: none;
	/*border: 1px solid rgba(0,0,255,0.6);*/
	border: 1px solid lightgrey;
	padding: 5px;
	border-radius: 0 0 4px 4px;
	background-color: white;
}

.date-event-item-body {
	width: 100%;
	height: 100%;
	/*border: 1px solid rgba(0,0,255,0.6);*/
	border: 1px solid lightgrey;
	padding: 5px;
	border-radius: 0 0 4px 4px;
	background-color: white;
	max-width: 320px;
	max-height: 200px;
	overflow-y: auto;
	text-align: justify;
}

.date-event-item {
	display: block;
	margin-bottom: 1px;
	/*border: 1px solid rgba(0,0,255,0.6);*/
	border: 1px solid lightgrey;
	border-radius: 4px;
}

.date-event-head {
	font-size: 1em;
	padding-top: 0.1em;
	padding-left: 5px;
	padding-right: 4px;
	color: white;
	/*background-color: rgba(0,0,255,0.6);*/	
	border-radius: 4px 4px 0 0;
	text-align: center;
	height: 100%;	
	width: 100%;
	display: table;
}

.date-event-icon {
	font-size: 1em;
	padding-top: 0.1em;
	padding-left: 5px;
	padding-right: 4px;
	color: white;
	/*background-color: rgba(0,0,255,0.6);*/	
	border-radius: 4px 0 0 0px;
	text-align: center;
}

.date-event-description {
	padding-left: 5px;
	text-align: justify;
	padding-right: 7px;
	/*border: 1px solid rgba(0,0,255,0.6);*/
	border: 1px solid lightgrey;
	border-radius: 0 4px 0px 0px;
	width: 100%;
}

.date-event-counter {
	padding-left: 5px;
	text-align: justify;
	padding-right: 7px;	
}

.date-event {
	/*border: 1px solid rgba(0,0,255,0.6);*/
	border:1px solid lightgrey;
	border-radius: 4px;
	opacity: 0.5;
	background-color: white;
	width: 100%;
	height: 100%;
}

.date-event-head-counter {
	font-size: 1.1em;
}

.date-event-container:hover {
	overflow: auto;	
	position: fixed;
	z-index: 10000;
	pointer-events: none;	
}

.date-event-container:hover > .date-event > .date-event-body {
	display: block;
}

.date-event-container:hover > .date-event {
	opacity: 1;
	z-index: 100;
	position: absolute;
	width: auto;
	height: auto;
	top:0;
	pointer-events:auto;
}

.date-event-item-head {
	display: flex;
	max-width: 320px;
	cursor:pointer;
}

.hide {
	display: none;
}

.date-event-item-full {
	display: inherit;
	width: 100%;
	border: none;
}

.date-event-head-icon {
	padding-right: 5px;
}

.date-event-head-container {
	display: table-cell;
	vertical-align: middle;
	max-width: 320px;
}

.date-event-container {
	width: 100%;
	height: 100%;
	pointer-events:auto;
}

.hidden-overflow {
	overflow:hidden;
}
